Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

PostPal for WooCommerce

PostPal offers on-demand courier service for online stores

This extension will connect your WooCommerce store to the PostPal crowdsourced on-demand courier service. With PostPal, your customers have the option to get their order delivered within an average time under one hour. Once the client pays for the order, closest available courier will be automatically sent to pick up the package at the first opening time of your warehouse.

What your client sees:

After the extension is installed and configured, it will add PostPal to you shopping cart, next to the other shipping methods.

Once your client finds it’s way to your cart shipping section, we will show the estimated time of arrival next to the PostPal shipping option. This way your client will know the estimated time when the order would be arriving at him if he chooses PostPal as his delivery partner.

After the order with PostPal courier has been placed and paid for, the courier will be automatically called to pick up the package from your warehouse.

What can you do:

In your shipment details, there is an option for you to print PostPal package label, and also for tracking the delivery in real time.

Initial setup reminder:

After installing this extension, you will need to enable and configure it from your WooCommerce shipping options. You can obtain the required API key and warehouse code from your PostPal self-service.

Sign up and more information can be found from http://www.postpal.eu

Author Klemens Arro
Profile
Contributors klemensarro
Tags courier, postpal, shipping, woocommerce
  1. Upload the plugin files to the /wp-content/plugins/woocommerce-postpal directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the 'Plugins' screen in WordPress
  3. Use the WooCommerce->Settings->Shipping->PostPal Courier screen to configure the plugin

0.1

  • Released the first version

0.2

  • Updated WooCommerce Settings API compatibility
Share  
Download
Version 0.2

Requires WordPress version: 3.0 or higher

Compatible up to: 4.6.3

Last Updated 05 Oct 2016

Date Added: 28 Aug 2016

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

0 stars
0 ratings
73 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0